### Type parameters

- #### RESP

### Hierarchy

- ClientReadableStream

## Index

### Constructors

- constructor

### Methods

- cancel
- on
- removeListener

## Constructors

### constructor

- new ClientReadableStream<RESP>(): ClientReadableStream <RESP>

- #### Type parameters

  - #### RESP

  #### Returns ClientReadableStream <RESP>

## Methods

### cancel

- cancel(): void

- - Defined in node_modules/grpc-web/index.d.ts:52

  #### Returns void

### on

- on(eventType: "error", callback: (err: RpcError ) => void): ClientReadableStream <RESP>
- on(eventType: "status", callback: (status: Status ) => void): ClientReadableStream <RESP>
- on(eventType: "metadata", callback: (status: Metadata ) => void): ClientReadableStream <RESP>
- on(eventType: "data", callback: (response: RESP) => void): ClientReadableStream <RESP>
- on(eventType: "end", callback: () => void): ClientReadableStream <RESP>

- - Defined in node_modules/grpc-web/index.d.ts:30

  #### Parameters

  - ##### eventType: "error"

  - ##### callback: (err: RpcError ) => void

    - - (err: RpcError ): void

      - #### Parameters

        - ##### err: RpcError

        #### Returns void

  #### Returns ClientReadableStream <RESP>

- - Defined in node_modules/grpc-web/index.d.ts:32

  #### Parameters

  - ##### eventType: "status"

  - ##### callback: (status: Status ) => void

    - - (status: Status ): void

      - #### Parameters

        - ##### status: Status

        #### Returns void

  #### Returns ClientReadableStream <RESP>

- - Defined in node_modules/grpc-web/index.d.ts:34

  #### Parameters

  - ##### eventType: "metadata"

  - ##### callback: (status: Metadata ) => void

    - - (status: Metadata ): void

      - #### Parameters

        - ##### status: Metadata

        #### Returns void

  #### Returns ClientReadableStream <RESP>

- - Defined in node_modules/grpc-web/index.d.ts:36

  #### Parameters

  - ##### eventType: "data"

  - ##### callback: (response: RESP) => void

    - - (response: RESP): void

      - #### Parameters

        - ##### response: RESP

        #### Returns void

  #### Returns ClientReadableStream <RESP>

- - Defined in node_modules/grpc-web/index.d.ts:38

  #### Parameters

  - ##### eventType: "end"

  - ##### callback: () => void

    - - (): void

      - #### Returns void

  #### Returns ClientReadableStream <RESP>

### removeListener

- removeListener(eventType: "error", callback: (err: RpcError ) => void): void
- removeListener(eventType: "status", callback: (status: Status ) => void): void
- removeListener(eventType: "metadata", callback: (status: Metadata ) => void): void
- removeListener(eventType: "data", callback: (response: RESP) => void): void
- removeListener(eventType: "end", callback: () => void): void

- - Defined in node_modules/grpc-web/index.d.ts:41

  #### Parameters

  - ##### eventType: "error"

  - ##### callback: (err: RpcError ) => void

    - - (err: RpcError ): void

      - #### Parameters

        - ##### err: RpcError

        #### Returns void

- - Defined in node_modules/grpc-web/index.d.ts:43

  #### Parameters

  - ##### eventType: "status"

  - ##### callback: (status: Status ) => void

    - - (status: Status ): void

      - #### Parameters

        - ##### status: Status

        #### Returns void

- - Defined in node_modules/grpc-web/index.d.ts:45

  #### Parameters

  - ##### eventType: "metadata"

  - ##### callback: (status: Metadata ) => void

    - - (status: Metadata ): void

      - #### Parameters

        - ##### status: Metadata

        #### Returns void

- - Defined in node_modules/grpc-web/index.d.ts:47

  #### Parameters

  - ##### eventType: "data"

  - ##### callback: (response: RESP) => void

    - - (response: RESP): void

      - #### Parameters

        - ##### response: RESP

        #### Returns void

- - Defined in node_modules/grpc-web/index.d.ts:49

  #### Parameters

  - ##### eventType: "end"

  - ##### callback: () => void

    - - (): void

      - #### Returns void

Generated using TypeDoc